osgPresentation::LayerAttributes Struct Reference

`#include <SlideEventHandler>`

Inheritance diagram for osgPresentation::LayerAttributes:

## Public Types

typedef std::vector< KeyPosition > | Keys
typedef std::vector< std::string > | RunStrings
typedef std::list< osg::ref_ptr< LayerCallback > > | LayerCallbacks

## Public Member Functions

| LayerAttributes ()
| LayerAttributes (double in_duration)
void | setDuration (double duration)
double | getDuration () const
void | setKeys (const Keys &keys)
const Keys & | getKeys () const
void | addKey (const KeyPosition &kp)
void | setRunStrings (const RunStrings &runStrings)
const RunStrings & | getRunStrings () const
void | addRunString (const std::string &runString)
void | setJump (const JumpData &jumpData)
const JumpData & | getJumpData () const
void | addEnterCallback (LayerCallback *lc)
void | addLeaveCallback (LayerCallback *lc)
void | callEnterCallbacks (osg::Node *node)
void | callLeaveCallbacks (osg::Node *node)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

double | _duration
Keys | _keys
RunStrings | _runStrings
JumpData | _jumpData
LayerCallbacks | _enterLayerCallbacks
LayerCallbacks | _leaveLayerCallbacks

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## Keys

typedef std::vector<KeyPosition> osgPresentation::LayerAttributes::Keys

## LayerCallbacks

typedef std::list< osg::ref_ptr<LayerCallback> > osgPresentation::LayerAttributes::LayerCallbacks

## RunStrings

typedef std::vector<std::string> osgPresentation::LayerAttributes::RunStrings

## Constructor & Destructor Documentation

## LayerAttributes() [1/2]

osgPresentation::LayerAttributes::LayerAttributes | ( |  | ) |

inline

References _duration.

## LayerAttributes() [2/2]

osgPresentation::LayerAttributes::LayerAttributes | ( | double | in_duration | ) |

inline

References _duration.

## Member Function Documentation

## addEnterCallback()

void osgPresentation::LayerAttributes::addEnterCallback | ( | LayerCallback * | lc | ) |

inline

References _enterLayerCallbacks.

## addKey()

void osgPresentation::LayerAttributes::addKey | ( | const KeyPosition & | kp | ) |

inline

References _keys.

## addLeaveCallback()

void osgPresentation::LayerAttributes::addLeaveCallback | ( | LayerCallback * | lc | ) |

inline

References _leaveLayerCallbacks.

## addRunString()

void osgPresentation::LayerAttributes::addRunString | ( | const std::string & | runString | ) |

inline

References _runStrings.

## callEnterCallbacks()

void osgPresentation::LayerAttributes::callEnterCallbacks | ( | osg::Node * | node | ) |

## callLeaveCallbacks()

void osgPresentation::LayerAttributes::callLeaveCallbacks | ( | osg::Node * | node | ) |

## getDuration()

double osgPresentation::LayerAttributes::getDuration | ( |  | ) | const

inline

References _duration.

## getJumpData()

const JumpData & osgPresentation::LayerAttributes::getJumpData | ( |  | ) | const

inline

References _jumpData.

## getKeys()

const Keys & osgPresentation::LayerAttributes::getKeys | ( |  | ) | const

inline

References _keys.

## getRunStrings()

const RunStrings & osgPresentation::LayerAttributes::getRunStrings | ( |  | ) | const

inline

References _runStrings.

## setDuration()

void osgPresentation::LayerAttributes::setDuration | ( | double | duration | ) |

inline

References _duration.

## setJump()

void osgPresentation::LayerAttributes::setJump | ( | const JumpData & | jumpData | ) |

inline

References _jumpData.

## setKeys()

void osgPresentation::LayerAttributes::setKeys | ( | const Keys & | keys | ) |

inline

References _keys.

## setRunStrings()

void osgPresentation::LayerAttributes::setRunStrings | ( | const RunStrings & | runStrings | ) |

inline

References _runStrings.

## Member Data Documentation

## _duration

double osgPresentation::LayerAttributes::_duration

Referenced by getDuration(), LayerAttributes(), LayerAttributes(), and setDuration().

## _enterLayerCallbacks

LayerCallbacks osgPresentation::LayerAttributes::_enterLayerCallbacks

Referenced by addEnterCallback().

## _jumpData

JumpData osgPresentation::LayerAttributes::_jumpData

Referenced by getJumpData(), and setJump().

## _keys

Keys osgPresentation::LayerAttributes::_keys

Referenced by addKey(), getKeys(), and setKeys().

## _leaveLayerCallbacks

LayerCallbacks osgPresentation::LayerAttributes::_leaveLayerCallbacks

Referenced by addLeaveCallback().

## _runStrings

RunStrings osgPresentation::LayerAttributes::_runStrings

Referenced by addRunString(), getRunStrings(), and setRunStrings().

The documentation for this struct was generated from the following file:

- SlideEventHandler